﻿Type=Activity
Version=2.52
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim buExit As Button
	Dim buForceExit As Button
	Dim etInfo As EditText
	Dim lbNext As Label
	Dim lbTime As Label
	Dim lbtitNext As Label
	Dim lbtitTime As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'
	Activity.LoadLayout("Show_Data")

End Sub

Sub Activity_Resume
	'
	etInfo.Text	= Main.GlbInfo
	lbTime.Text	= Rutinas.Get_Format_Date(DateTime.Now, Main.SysFormatoFecha)
	lbNext.Text	= Work.Work_Str_Next_Start
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed=True AND Main.GlbForceExit=False Then
		Dim lcResponse As Int
		Dim lc_Current_Hour	As Int
		'
		lc_Current_Hour	= DateTime.GetHour(DateTime.Now)
		'
		Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","Trying to exit")
		'
		lcResponse = Msgbox2("Sure to Quit?", Activity.Title, "Si", "", "No", Null)	
		If lcResponse = DialogResponse.POSITIVE Then
			'
			Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","User respond YES to exit")
			Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","Current Hour :" & NumberFormat2(lc_Current_Hour,1,0,0,False))
			Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","SysWorkBeginHour :" & NumberFormat2(Main.SysWorkBeginHour,1,0,0,False))
			Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","SysWorkEndHour :" & NumberFormat2(Main.SysWorkEndHour,1,0,0,False))
			'
			If lc_Current_Hour >= Main.SysWorkBeginHour AND lc_Current_Hour <= Main.SysWorkEndHour Then
				'
				Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","Keep Service running")
				'
				' Just finish the activity, the service keep running
				Activity.Finish
			Else
				'
				Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","Exit Aplication")
				'
				StopService(Work)
				' Cancel previos schedule (if exists)
				CancelScheduledService(Work)
				'
				Log("ShowData.Exit - Exit Aplication")
				'
				Main.Phone_Status.ReleasePartialLock
				Activity.Finish
			End If
		Else
			Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","User say NO to exit")
			Return True
		End If
	End If
End Sub

Sub buForceExit_Click
	Dim lcResponse As Int
	'
	Rutinas.Write_Log(Main.SysLogEnable,"ShowData.ForceExit","Trying to Force Exit")
	'
	lcResponse = Msgbox2("Sure to Quit?", Activity.Title, "Si", "", "No", Null)	
	If lcResponse = DialogResponse.POSITIVE Then
		'
		Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","User respond YES to Force Exit")
		'
		StopService(Work)
		' Cancel previos schedule (if exists)
		CancelScheduledService(Work)
		'
		Log("ShowData.ForceExit - Exit Aplication")
		'
		Main.GlbForceExit	= True
		Main.Phone_Status.ReleasePartialLock
		Activity.Finish
	Else
		Rutinas.Write_Log(Main.SysLogEnable,"ShowData.Exit","User say NO to Force Exit")
	End If	
End Sub

Sub buExit_Click
	Main.GlbForceExit	= False
	Activity_Pause(True)
End Sub